#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%global __requires_exclude devel\\(libKF5
%define kontact_mobile 1
%define _cmake_skip_rpath %nil

%define rel 2

Name:       kmail
Summary:    Email client, supporting POP3 and IMAP mailboxes
Version: 16.12.3
Epoch:          2
Release:    %mkrel %{rel}
Group:      Graphical desktop/KDE
License:    GPLv2
URL:        http://utils.kde.org/projects/kdepim
Source0:    http://download.kde.org/stable/applications/%{version}/src/%name-%{version}.tar.xz
Patch0:	    kmail-CVE-2017-9604.patch

ExcludeArch:   armv5tl

BuildRequires: kf5-macros

BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5Test)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5WebEngine)
BuildRequires: pkgconfig(Qt5WebEngineWidgets)
BuildRequires: pkgconfig(Qt5Xml)

# Find KF5 package
BuildRequires: cmake(KF5Crash)

BuildRequires: cmake(KF5Bookmarks)
BuildRequires: cmake(KF5Codecs)
BuildRequires: cmake(KF5Config)
BuildRequires: cmake(KF5ConfigWidgets)
BuildRequires: cmake(KF5Crash)
BuildRequires: cmake(KF5DBusAddons)
BuildRequires: cmake(KF5DocTools)
BuildRequires: cmake(KF5GuiAddons)
BuildRequires: cmake(KF5I18n)
BuildRequires: cmake(KF5ItemViews)
BuildRequires: cmake(KF5JobWidgets)
BuildRequires: cmake(KF5KIO)
BuildRequires: cmake(KF5KCMUtils)
BuildRequires: cmake(KF5Notifications)
BuildRequires: cmake(KF5NotifyConfig)
BuildRequires: cmake(KF5Parts)
BuildRequires: cmake(KF5Service)
BuildRequires: cmake(KF5Sonnet)
BuildRequires: cmake(KF5TextWidgets)
BuildRequires: cmake(KF5WidgetsAddons)
BuildRequires: cmake(KF5WindowSystem)
BuildRequires: cmake(KF5XmlGui)

# Find KdepimLibs Package
BuildRequires: cmake(KF5Akonadi)
BuildRequires: cmake(KF5AkonadiContact)
BuildRequires: cmake(KF5AkonadiMime)
BuildRequires: cmake(KF5Contacts)
BuildRequires: cmake(KF5CalendarCore)
BuildRequires: cmake(KF5CalendarUtils)
BuildRequires: cmake(KF5IdentityManagement)
BuildRequires: cmake(KF5Ldap)
BuildRequires: cmake(KF5MailTransport)
BuildRequires: cmake(KF5PimTextEdit)

BuildRequires: cmake(KF5KontactInterface)
BuildRequires: cmake(KF5Mime)

BuildRequires: cmake(KF5FollowupReminder)
BuildRequires: cmake(KF5Gravatar)
BuildRequires: cmake(KF5KdepimDBusInterfaces)
BuildRequires: cmake(KF5Libkdepim)
BuildRequires: cmake(KF5Libkleo)
BuildRequires: cmake(KF5LibKSieve)
BuildRequires: cmake(KF5MailCommon)
BuildRequires: cmake(KF5MessageCore)
BuildRequires: cmake(KF5MessageComposer)
BuildRequires: cmake(KF5MessageList)
BuildRequires: cmake(KF5MessageViewer)
BuildRequires: cmake(KF5PimCommon)
BuildRequires: cmake(KF5SendLater)
BuildRequires: cmake(KF5TemplateParser)
BuildRequires: cmake(MailTransportDBusService)
BuildRequires: cmake(KF5Tnef)

Requires: akonadi-kde
Requires: akonadi-contacts
Requires: kdepim-addons
Requires: sasl-plug-plain
Requires: sasl-plug-ntlm
Requires: sasl-plug-login
Requires: sasl-plug-digestmd5
Requires: kio5-pop3
Requires: kio5-smtp
Requires: kio5-sieve
Requires: messagelib
Requires: baloo
Requires: kwallet
Requires: kmail-account-wizard
Requires: qtwebengine5
Requires: libkdepim 
Requires: grantlee
Requires: pim-data-exporter
Requires: akonadi-import-wizard

Recommends: pinentry-qt5
Recommends: openssh-askpass-qt5
Recommends: kmail-handbook

Obsoletes:  kmailcvt < 2:15.07.80

Conflicts: kdepim4-devel < 2:4.6.90-2
Conflicts: kontact < 2:16.04.3-3


%description
Email client, supporting POP3 and IMAP mailboxes.

%files
%_kf5_sysconfdir/xdg/kmail.categories
%_kf5_sysconfdir/xdg/kmail.renamecategories
%_kf5_bindir/akonadi_archivemail_agent
%_kf5_bindir/akonadi_followupreminder_agent
%_kf5_bindir/akonadi_mailfilter_agent
%_kf5_bindir/akonadi_sendlater_agent
%_kf5_bindir/kmail
%_kf5_datadir/kmail2
%_kf5_datadir/kxmlgui5/kmail2
%_qt5_plugindir/kcm_kmail.so
%_qt5_plugindir/kcm_kmailsummary.so
%_qt5_plugindir/kmailpart.so
%_qt5_plugindir/kcm_kpimidentities.so
%_kf5_datadir/appdata/org.kde.kmail.appdata.xml
%_kf5_datadir/applications/kmail_view.desktop
%_kf5_datadir/knotifications5/kmail2.notifyrc
%_kf5_services/ServiceMenus/kmail_addattachmentservicemenu.desktop
%_kf5_services/kcmkmailsummary.desktop
%_kf5_services/kmail_*
%_kf5_services/kcm_kpimidentities.desktop
%_kf5_datadir/applications/org.kde.kmail.desktop
%_kf5_datadir/config.kcfg/kmail.kcfg
%_kf5_datadir/config.kcfg/archivemailagentsettings.kcfg
%_kf5_datadir/knotifications5/akonadi_archivemail_agent.notifyrc
%_kf5_datadir/knotifications5/akonadi_mailfilter_agent.notifyrc
%_kf5_datadir/knotifications5/akonadi_followupreminder_agent.notifyrc
%_kf5_datadir/knotifications5/akonadi_sendlater_agent.notifyrc
%_kf5_datadir/akonadi/agents/archivemailagent.desktop
%_kf5_datadir/akonadi/agents/followupreminder.desktop
%_kf5_datadir/akonadi/agents/mailfilteragent.desktop
%_kf5_datadir/akonadi/agents/sendlateragent.desktop
%_kf5_datadir/kservicetypes5/dbusmail.desktop

%_kf5_datadir/kconf_update/kmail*

%_datadir/dbus-1/interfaces/org.kde.kmail.kmail.xml
%_datadir/dbus-1/interfaces/org.kde.kmail.kmailpart.xml
%_kf5_iconsdir/*/*/*/kmail.*
%_kf5_datadir/kontact/ksettingsdialog/summary.setdlg
%_kf5_datadir/kservices5/kcmkontactsummary.desktop
%_kf5_datadir/kservices5/kontact/summaryplugin.desktop
%_kf5_datadir/kxmlgui5/kontactsummary/kontactsummary_part.rc
%_kf5_datadir/messageviewer/about/default/introduction_kmail.html

# Kontact integration
%_qt5_plugindir/kontact_kmailplugin.so
%_kf5_services/kontact/kmailplugin.desktop
%_kf5_datadir/kontact/ksettingsdialog/kmail.setdlg
%_qt5_plugindir/kcm_kontactsummary.so
%_qt5_plugindir/kontact_summaryplugin.so

#------------------------------------------------------------------------------

%package -n ktnef
Summary: TNEF Viewer/Extractor
Group: Networking/Mail
URL:   http://www.kde.org/applications/internet/kmail

Requires: kwallet
Recommends: kmail

Conflicts: kdepim4-devel < 2:4.6.90-2

%description -n ktnef
A TNEF Viewer/Extractor.

%files -n ktnef
%_kf5_bindir/ktnef
%_sysconfdir/xdg/ktnef.categories
%_kf5_datadir/applications/org.kde.ktnef.desktop
%_kf5_iconsdir/*/*/*/*ktnef*

#------------------------------------------------------------------------------

%package handbook
Summary: %name handbook
Requires:  %name >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation

%description handbook
This package provides %name handbook.

%files handbook
%_kf5_docdir/HTML/*/*

#------------------------------------------------------------------------------

%define kmailprivate_major 5
%define libkmailprivate %mklibname kmailprivate %kmailprivate_major

%package -n %libkmailprivate
Summary: KDEPIM library
Group: System/Libraries

Obsoletes:  %{_lib}kmailprivate4 < 2:4.14.11
Provides:    %{_lib}kmailprivate4 = %epoch:%version-%release

%description -n %libkmailprivate
KDEPIM library.

%files -n %libkmailprivate
%_kf5_libdir/libkmailprivate.so.%{kmailprivate_major}*

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export LD=%_kf5_bindir/ld.gold
%cmake_kf5 \
%if %kontact_mobile
-DKDEPIM_BUILD_MOBILE=true
%else
 -DKDEPIM_BUILD_MOBILE=false
%endif

%make_build

%install
%make_install -C build



%changelog
* Sat Jun 24 2017 luigiwalser <luigiwalser> 2:16.12.3-2.mga6
+ Revision: 1108346
- add upstream patch to fix CVE-2017-9604

* Thu Mar 09 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090553
- Add missing default requires (mga#20421)
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sun Jan 01 2017 daviddavid <daviddavid> 2:16.12.0-2.mga6
+ Revision: 1079113
- requires kdepim-addons

* Mon Dec 26 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1078065
- New version 16.12.0

* Mon Dec 19 2016 daviddavid <daviddavid> 2:16.11.90-7.mga6
+ Revision: 1076140
- requires qtwebengine5 (fixes mga#19982)
- do not build on armv5tl because of missing qtwebengine5

* Sun Dec 18 2016 neoclust <neoclust> 2:16.11.90-6.mga6
+ Revision: 1076013
- Fix default requires

* Sun Dec 18 2016 neoclust <neoclust> 2:16.11.90-5.mga6
+ Revision: 1075965
- Use pinentry-qt5

* Sat Dec 17 2016 daviddavid <daviddavid> 2:16.11.90-4.mga6
+ Revision: 1075773
- replace dependency messageviewer to messagelib

  + neoclust <neoclust>
    - Use new qt5 openssh-askpass

* Thu Dec 15 2016 neoclust <neoclust> 2:16.11.90-3.mga6
+ Revision: 1075303
- Fix kwallet deps

* Wed Dec 14 2016 neoclust <neoclust> 2:16.11.90-2.mga6
+ Revision: 1075055
- Add back requires from old kmail spec file

* Wed Dec 14 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1075053
- imported package kmail

